E-MailRelay

Public Member Functions | Public Attributes | List of all members
GNet::EventHandlerList::Value Struct Reference

A tuple for GNet::EventHandlerList. More...

`#include <geventhandlerlist.h>`

## Public Member Functions
| Value (Descriptor fd) noexcept
| Value (Descriptor fd, EventHandler *, ExceptionSink) noexcept

## Public Attributes
Descriptor | m_fd
EventHandler * | m_event_handler
ExceptionSink | m_es

## Detailed Description

A tuple for GNet::EventHandlerList.

Definition at line 78 of file geventhandlerlist.h.

## Constructor & Destructor Documentation

## ◆ Value() [1/2]

GNet::EventHandlerList::Value::Value | ( | Descriptor | fd | ) |
| inline explicit noexcept

Definition at line 202 of file geventhandlerlist.h.

## ◆ Value() [2/2]

GNet::EventHandlerList::Value::Value | ( | Descriptor | fd,
|  | EventHandler * | event_handler,
|  | ExceptionSink | es
| ) |  |
| inline noexcept

Definition at line 194 of file geventhandlerlist.h.

## Member Data Documentation

## ◆ m_es

ExceptionSink GNet::EventHandlerList::Value::m_es

Definition at line 82 of file geventhandlerlist.h.

## ◆ m_event_handler

EventHandler* GNet::EventHandlerList::Value::m_event_handler

Definition at line 81 of file geventhandlerlist.h.

## ◆ m_fd

Descriptor GNet::EventHandlerList::Value::m_fd

Definition at line 80 of file geventhandlerlist.h.

The documentation for this struct was generated from the following file:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/geventhandlerlist.h